## subarch-select 0.1

=== Makefile ===
LDFLAGS := $(LDFLAGS) -lcpu_features

subarch-select: main.cpp
	g++ $(CXXFLAGS) -o $@ $< $(LDFLAGS)

clean:
	rm -f subarch-select

.PHONY: clean

=== debian/changelog ===
subarch-select (0.1-1) unstable; urgency=medium

  * Initial release. (Closes: #1039956)

 -- Michael R. Crusoe <crusoe@debian.org>  Fri, 30 Jun 2023 14:17:21 +0900

## subarch-select 0.2

=== Makefile ===
LDFLAGS := $(LDFLAGS) -lcpu_features

subarch-select: main.cpp
	g++ $(CXXFLAGS) $(CPPFLAGS) -o $@ $< $(LDFLAGS)

clean:
	rm -f subarch-select

.PHONY: clean

=== debian/changelog ===
subarch-select (0.2-1) unstable; urgency=medium

  * New upstream version
  * remove patch applied upstream

 -- Michael R. Crusoe <crusoe@debian.org>  Fri, 04 Aug 2023 11:03:33 +0200

=== debian/control ===
Source: subarch-select
Section: science
Priority: optional
Maintainer: Debian Med Packaging Team <debian-med-packaging@lists.alioth.debian.org>
Uploaders: Michael R. Crusoe <crusoe@debian.org>
Build-Depends: debhelper-compat (= 13),
               libcpu-features-dev
Standards-Version: 4.6.2
Vcs-Browser: https://salsa.debian.org/med-team/subarch-select
Vcs-Git: https://salsa.debian.org/med-team/subarch-select.git
Homepage: https://github.com/ekg/subarch-select/
Rules-Requires-Root: no

Package: subarch-select
Architecture: any-amd64 any-i386
Depends: ${shlibs:Depends}, ${misc:Depends}
Description: Select among binaries based upon x86 microarchitecture support
 Pick an executable based on CPU capabilities.
 .
 Call subarch-select with argument pairs that list CPU features
 (as in /proc/cpuinfo "flags"), and a path to execute if the flags are all
 matched. The first set of flags that match the system capabilities will select
 the given path. Arguments to the program should be passed after "--".
 .
 Also supports the x86-64 microarchitectures: x86-64-v2, x86-64-v3, v86-64-v4

=== debian/rules ===
#!/usr/bin/make -f

# DH_VERBOSE := 1
export LC_ALL=C.UTF-8

# include /usr/share/dpkg/default.mk
# this provides:
# DEB_SOURCE: the source package name
# DEB_VERSION: the full version of the package (epoch + upstream vers. + revision)
# DEB_VERSION_EPOCH_UPSTREAM: the package's version without the Debian revision
# DEB_VERSION_UPSTREAM_REVISION: the package's version without the Debian epoch
# DEB_VERSION_UPSTREAM: the package's upstream version
# DEB_DISTRIBUTION: the distribution(s) listed in the current entry of debian/changelog
# SOURCE_DATE_EPOCH: the source release date as seconds since the epoch, as
#                    specified by <https://reproducible-builds.org/specs/source-date-epoch/>

export DEB_BUILD_MAINT_OPTIONS=hardening=+all

%:
	dh $@

=== debian/watch ===
version=4

opts="mode=git, dversionmangle=auto" \
  https://github.com/ekg/subarch-select.git refs/tags/v?@ANY_VERSION@
